/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

import java.util.Objects;

/**
 * TemporalCoverage
 */

public class TemporalCoverage {
  @JsonProperty("end")
  private LocalDateTime end = null;

  @JsonProperty("start")
  private LocalDateTime start = null;

  public TemporalCoverage end(LocalDateTime end) {
    this.end = end;
    return this;
  }

   /**
   * The temporal coverage end date
   * @return end
  **/
  @ApiModelProperty(required = true, value = "The temporal coverage end date")
  public LocalDateTime getEnd() {
    return end;
  }

  public void setEnd(LocalDateTime end) {
    this.end = end;
  }

  public TemporalCoverage start(LocalDateTime start) {
    this.start = start;
    return this;
  }

   /**
   * The temporal coverage start date
   * @return start
  **/
  @ApiModelProperty(required = true, value = "The temporal coverage start date")
  public LocalDateTime getStart() {
    return start;
  }

  public void setStart(LocalDateTime start) {
    this.start = start;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TemporalCoverage temporalCoverage = (TemporalCoverage) o;
    return Objects.equals(this.end, temporalCoverage.end) &&
        Objects.equals(this.start, temporalCoverage.start);
  }

  @Override
  public int hashCode() {
    return Objects.hash(end, start);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TemporalCoverage {\n");

    sb.append("    end: ").append(toIndentedString(end)).append("\n");
    sb.append("    start: ").append(toIndentedString(start)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

